resource "vault_auth_backend" "userpass" {
  type = "userpass"

  tune {
    max_lease_ttl      = "1h"
    listing_visibility = "unauth"
  }
}

resource "vault_generic_secret" "admin_user" {
  path = "auth/userpass/users/admin"

  data_json = <<EOT
{
  "password": "${var.vault_admin_password}",
  "policies": "admin"
}
EOT

  depends_on = [
    vault_auth_backend.userpass,
    vault_policy.admin,
  ]
}
